Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface LineString

All Superinterfaces:
  CurveSegment, GenericCurve

All Known Subinterfaces:
  LineSegment

    @UML(identifier="GM_LineString",
         specification=ISO_19107)
    public interface LineString

extends CurveSegment

A sequence of line segments, each having a parameterization like the one `LineSegment`. The class essentially combines a `List<LineSegment>` into a single object, with the obvious savings of storage space.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  `GeometryFactory.createLineString(java.util.List)`

Method Summary
`List<LineSegment>` | `asLineSegments()` Decomposes a line string into an equivalent sequence of line segments.
`PointArray` | `getControlPoints()` Returns a sequence of positions between which the curve is linearly interpolated.

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getInterpolation, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Method Detail

### getControlPoints

    @UML(identifier="controlPoint",
         obligation=MANDATORY,
         specification=ISO_19107)
    PointArray getControlPoints()

  Returns a sequence of positions between which the curve is linearly interpolated. The first position in the sequence is the start Point of this `LineString`, and the last point in the sequence is the end point of this `LineString`.

  Returns:
    The control points between which the curve is linearly interpolated.

### asLineSegments

    @UML(identifier="asGM_LineSegment",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<LineSegment> asLineSegments()

  Decomposes a line string into an equivalent sequence of line segments.

  Returns:
    The sequence of line segments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.